GNOME 3.0 i [testing]

Det er nu muligt at afprøve den nye version 3 af GNOME som lige nu ligger i [testing]. Dette inkluderer samtidig en opdatering af gtk2 samt tilføjelse af pakken gtk3. Der er dog nogle vigtige detaljer omkring denne opgradering som man bør vide:

  • GNOME3 vil erstatte GNOME2 når GNOME3 engang kommer ud af [testing] og ind i [extra].
  • GNOME3 kommer med to tilstande hvor “standard” er med gnome-shell og “fallback” er den traditionelle GNOME med gnome-panel + metacity.
  • Paneler der benytter Bonobo er ikke længere understøttet og pakker der benytter er afhængige af Bonobo vil blive fjernet fra de officielle repos.
  • Pulseaudio er nu et krav for at køre GNOME desktoppen.
  • Der vil være pakker der understøtter henholdsvis gtk2 og gtk3. Disse vil typisk navngives som fx “pakkenavn3”. Eksempler på pakker med denne regel er vte3, libwebkit3, gtkhtml4.
  • pygobject er nu tilgængelig i en Python 3 version og findes i pakken “py3gobject”.

Opgradering- og installationsguide er tilgængelig her: https://wiki.archlinux.org/index.php/GNOME_3

Fejl der er relateret til måden GNOME3 er pakket på skal sendes til: http://bugs.archlinux.org/

Fejl der er relateret til nedbrud og manglende features skal sendes til: http://bugzilla.gnome.org/

Læs mere:

http://www.archlinux.org/news/gnome3-in-testing/

Skriv en kommentar

Kopier venligst strengen HjJfiW til nedenstående felt: